Package org.wso2.carbon.mediation.initializer.utils

# Class SynapseArtifactInitUtils

java.lang.Object
org.wso2.carbon.mediation.initializer.utils.SynapseArtifactInitUtils

public class SynapseArtifactInitUtils extends Object
Utility class containing util functions to initialize synapse artifacts

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynapseArtifactInitUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `createDir(String path)`
  `static String`
  `extractConnector(String connectorPath)`
  Extract the connector at the provided path to the java temp dir.
  `static String`
  `formatPath(String path)`
  Format the string paths to match any platform..
  `static String`
  `getAppUnzipDir()`
  `static void`
  `initializeConnectors(org.apache.axis2.engine.AxisConfiguration axisConfiguration)`
  Function to create synapse imports to enable installed connectors

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SynapseArtifactInitUtils

    public SynapseArtifactInitUtils()

- ## Method Details

  - ### getAppUnzipDir

    public static String getAppUnzipDir()

  - ### initializeConnectors

    public static void initializeConnectors(org.apache.axis2.engine.AxisConfiguration axisConfiguration)
    Function to create synapse imports to enable installed connectors
    Parameters:
      `axisConfiguration` - axis configuration

  - ### extractConnector

    public static String extractConnector(String connectorPath) throws IOException
    Extract the connector at the provided path to the java temp dir. Return the extracted location
    Parameters:
      `connectorPath` - - Absolute path of the Carbon application .car file
    Returns:
      - extracted location
    Throws:
      `org.wso2.carbon.CarbonException` - - error on extraction
      `IOException`

  - ### createDir

    public static void createDir(String path)

  - ### formatPath

    public static String formatPath(String path)
    Format the string paths to match any platform.. windows, linux etc..
    Parameters:
      `path` - - input file path
    Returns:
      formatted file path